> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Location for an Entity

> Delete a Location for a given Entity



## OpenAPI

````yaml delete /v1/entities/{entityId}/locations/{locationId}
openapi: 3.0.4
info:
  title: DER Connect Entities API
  description: Provides endpoints to manage entities.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/entities/{entityId}/locations/{locationId}:
    delete:
      tags:
        - Locations
      summary: Delete a Location for an Entity
      description: Delete a Location for a given Entity
      operationId: DeleteLocationEndpoint
      parameters:
        - name: entityId
          in: path
          description: The id of the Entity
          required: true
          schema:
            type: string
            format: uuid
          example: 5a554157-5a5a-4547-384c-423033333139
        - name: locationId
          in: path
          description: The id of the location
          required: true
          schema:
            type: string
            format: uuid
          example: 5d920744-7358-4102-9e9b-ef787ee4b7c4
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````